#Egy távoli jövőben az optimalizálás vizsgára különböző ízesítésű tudástabletták bevételével is fel lehet készülni. Egy spenótos tabletta elfogyasztása 10%-kal, egy eperízű tabletta elfogyasztása 7%-kal növeli meg a hallgató tudását. 
#Tehát 4 spenótos és 5 epres tabletta elfogyasztása után elvileg 75% tudásnak lennénk a birtokában.
#Egy spenótos tabletta 2000, az eperízű pedig 1500 Ft-ba kerül. Annak érdekében hogy elkerüljük a túladagolást, legfeljebb csak 8 tabletta vehető be. Fontos még ügyelnünk arra, hogy legalább annyi epres, mint spenótos tabletta legyen fogyasztva. 
#Milyen összetételben vásároljunk  a tablettákból, ha a lehető legkevesebbet szeretnénk költeni, és tudjuk, hogy 60% a sikeres vizsga teljesítésének feltétele. 

#Megoldás:
var epres >=0;
var spenotos >=0;

s.t. siker: 10*spenotos + 7* epres >=69;
s.t. osszetetel: spenotos <= epres;
s.t. adag: epres + spenotos <=8;

minimize koltseg: 1500*epres + 2000*spenotos;